/* Calibration from run188 (after turning the wheel back) 
   Values for LaBr taken from run 203*/


/* For third order polynomial calibration */
static const double cubic_labr_h[] = {
	5.28263e-10,2.12127e-10,3.13376e-10, 5.61344e-10,0,0,0

};

/* For second order polynomial calibration */
static const double quadratic_labr_h[] = {
	 -0.00000337191, 0.0000030475,-0.00000343416, -0.00000504693,0,0,0
};


/* Slopes */
static const double slopes_labr_h[] = {
          4.134e-1, 4.1895e-1, 2.8935e-1 , 4.84233e-1,0,0,0
};

/* Offsets */
static const double offsets_labr_h[] = {
	 -4.32498,16.6585,-7.19403, -10.9265,0,0,0
};


static const double slopes_labr_l[] = {
  1, 1, 1, 1,
  1, 1, 1, 1
};

/* HPGE */
/*
*/


/* For linear calibration */
static const double cubic_hpge[] = {
       0,0,0,0
};

/* For second order polynomial calibration */
static const double quadratic_hpge[] = {
	0,0,0,0
};

static const double slopes_hpge[] = {
 0.327528,0.44809, 0.444093,0.425178

};

static const double offsets_hpge[] = {
 -0.742653,-5.44408,-4.99134,-0.638705

};





     




/* MESYTEC */
static const double slopes_mesytec[] = {
//1.481311,1.393869,1.387187,1.399397,0
1.22809,1.24243,1.24147,1.24683,0
};

static const double offsets_mesytec[] = {
//-48.604728,-23.023676,-6.356886,-23.002495,0
11.5655,10.8994,6.06129,12.3015,0
};




static const double offsets_labr_l[] = {
	0,0,0,0,
	0,0,0,0
};

/* Thresholds for ghost */

static const double thr_labr_h[] = {
  10, 10, 10, 10,
//  110, 95, 115, 70,
  143, 130, 170, 5000
};

static const double thr_labr_l[] = {
  50, 50, 50, 50,
  50, 60, 50, 50
};

static const double thr_labr_sis[] = {
	200, 200, 200, 450
};

static const double thr_hpge[] = {
  8000, 8000, 8000, 8000
};

static const double thr_hpge_mesy[] = {
  36, 50, 50, 36, 36
};

// Condition 1 for labr
//static const float labr_w1[] = {155.5,159, 151.5,160.5, 151,160, 149,157, 160,165, 160,174};
//static const float labr_w1[] = {157,162, 158,162, 157,162, 155,162, 160,165, 160,174};
static const float labr_w1[] = {-49,-44 , -49,-43, -50,-45, -49,-42};
// Condition 2 for labr
static const float labr_w2[] = {-40,40, -40,40, -40,40, -40,40, -40,40};
// Condition 1 for hpge
//static const float hpge_w1[] = {44,56, 40,54, 38,53, 32,50};
static const float hpge_w1[] = {0,40, 20,60, 0,40, 20,60};
// For the self trigger peak
static const float labr_t_min[] = {-200,-200,-200,-200};
static const float labr_t_max[] = {200,200,200,200};
static const float hpge_t_min[] = {-200,-200,-200,-200};
static const float hpge_t_max[] = {200,200,200,200};



