/* Calibration from run188 (after turning the wheel back) 
   Values for LaBr taken from run 203*/


/* For third order polynomial calibration */
static const double cubic_labr_h[] = {
    5.2695e-07,  6.47609e-07,  7.36627e-08,  2.88931e-07
    ,0,0,0
};

/* For second order polynomial calibration */
static const double quadratic_labr_h[] = {
    -0.00104208,  -0.00102441,  -3.5914e-05,  -0.000605921
    ,0,0,0
};


/* Slopes */
static const double slopes_labr_h[] = {
  2.82738,  3.14836,  2.18375,  2.53078
      ,2.45552,2.04803,1.85372
};

/* Offsets */
static const double offsets_labr_h[] = {
    129.016,  229.517,  -90.527,  301.301
      ,-179.216,-72.7503,-80.3815
};


static const double slopes_labr_l[] = {
  1, 1, 1, 1,
  1, 1, 1, 1
};

/* HPGE */
static const double slopes_hpge[] = {
  0.609228,  0.778448,  0.788007,  0.737728
};

static const double offsets_hpge[] = {
  -0.168261,  -1.08552,  2.98357,  -0.0740912
};

/* MESYTEC */
static const double slopes_mesytec[] = {
1.481311,1.393869,1.387187,1.399397,0

};

static const double offsets_mesytec[] = {
-48.604728,-23.023676,-6.356886,-23.002495,0
};




static const double offsets_labr_l[] = {
	0,0,0,0,
	0,0,0,0
};

/* Thresholds for ghost */

static const double thr_labr_h[] = {
  63, 80, 100, 36,
  90, 90, 110, 5000
};

static const double thr_labr_l[] = {
  50, 50, 50, 50,
  50, 60, 50, 50
};

static const double thr_hpge[] = {
  1000, 7000, 400, 6500
};

static const double thr_hpge_mesy[] = {
  36, 50, 50, 36, 36
};


// Condition 1 for labr
static const float labr_w1[] = {152,157, 153,158, 153,163, 152,168};
// Condition 2 for labr
static const float labr_w2[] = {92,97, 92,97, 92,102, 92,108};
// For the self trigger peak
static const float labr_t_min[] = {-250,-240,-240,-230};
static const float labr_t_max[] = {-210,-200,-200,-190};
static const float hpge_t_min[] = {-500,-600,-465,-485};
static const float hpge_t_max[] = {-475,-525,-450,-465};



