#include "TFile.h"
#include "TTree.h"
#include "TCanvas.h"
#include "TH1F.h"
#include "TH2F.h"

void psd()
{
//	TFile *f = new TFile("/data/gamma3/2015/ndet_traces_ji_5.root");
      TFile *f = new TFile("/tmp/ndet_traces_ji_8.root");

	TTree *t = (TTree *)f->Get("h101");

	TH1F *energy = new TH1F("energy", "energy", 1000, 0, 1500);
	TH2F *ngamma = new TH2F("ngamma", "ngamma", 1000, 0, 1500,
	    1000, -10, 6);

	TCanvas *c = new TCanvas("c1");
	c->Divide(2,1);

	unsigned int n_entries = t->GetEntries();

	unsigned int a1, a2, a3;
	unsigned int value[2500], index[2500];

	t->SetBranchStatus("*", 0);
	t->SetBranchStatus("ADC2CH6RAWv", 1);
	t->SetBranchStatus("ADC2CH6RAWI", 1);

	t->SetBranchAddress("ADC2CH6RAWv", (void *)value);
	t->SetBranchAddress("ADC2CH6RAWI", (void *)index);

	int a1_start = 100/4;
	int a1_len = 100/4;
	int a2_start = 210/4;
	int a2_len = 30/4;
	int a3_start = 210/4;
	int a3_len = 120/4;

	n_entries = 10000;
	for (unsigned int entry = 0; entry < n_entries; ++entry) {
		t->GetBranch("ADC2CH6RAWv")->GetEntry(entry);
		t->GetBranch("ADC2CH6RAWI")->GetEntry(entry);

		float a1 = 0;
		float a2 = 0;
		float a3 = 0;
		float bl = 0;
		double q1 = 0;
		double q2 = 0;
		double p = 0;

		for (int i = 0 ; i < 500; ++i) {
			if (i > a1_start && i < a1_start + a1_len) {
				a1 += value[i];
			}
			if (i > a2_start && i < a2_start + a2_len) {
				a2 += value[i];
			}
			if (i > a3_start && i < a3_start + a3_len) {
				a3 += value[i];
			}
		}

		/*printf("a1 = %.f, a2 = %.f, a3 = %.f\n", a1, a2, a3);*/

		bl = a1 / a1_len;
		q1 = (a2 / a2_len) - bl;
		q2 = (a3 / a3_len) - bl;
		p = q1 / q2;

		/*printf("bl = %.f, q1 = %.f, q2 = %.f, p = %.3f\n",
		    bl, q1, q2, p);*/

		energy->Fill(q2);
		ngamma->Fill(q2, p);
	}

	c->cd(1);
	energy->Draw();
	gPad->SetLogy();
	c->cd(2);
	ngamma->Draw("col");

	c->Update();
}
